YouDieIEmote = LibStub("AceAddon-3.0"):NewAddon("YouDieIEmote", "AceConsole-3.0","AceEvent-3.0")

function YouDieIEmote:OnEnable()
	self:RegisterEvent("ADDON_LOADED","VariableSetup")
	self:RegisterEvent("COMBAT_LOG_EVENT_UNFILTERED","Emote")
end

function YouDieIEmote:VariableSetup(...)
	if event == "ADDON_LOADED" then
		if EnabledState == nil then
			EnabledState = true
		end
	end
end

function YouDieIEmote:OnDisable()
	self:UnregisterEvent("COMBAT_LOG_EVENT_UNFILTERED")
	self:UnregisterEvent("ADDON_LOADED")
end

function YouDieIEmote:Emote(...)
	if EnabledState == true then
		local arg0, arg1, event, arg3, arg4, caster, arg6, arg7, arg8, target, arg10, arg11, arg12, arg13 = select(1, ...);
		if (event == "UNIT_DIED") and (UnitInRange(target)) then
			DoEmote("GLOAT",target)
		end
--		print(target)
	end
end

function YouDieIEmote:OnInitialize()
	YouDieIEmote.db = LibStub("AceDB-3.0"):New("YouDieIEmoteDB", defaults)
  
	YouDieIEmote:RegisterChatCommand("youdie", "slashfunc")
	YouDieIEmote:RegisterChatCommand("YouDieIEmote", "slashfunc")
	YouDieIEmote:Print("v1.0 loaded")
	
	YouDieIEmote:OnEnable()
end

function YouDieIEmote:slashfunc(input)
	if input == "" or input == "help" then
		if EnabledState then
			YouDieIEmote:Print("Currently ENABLED")
		else
			YouDieIEmote:Print("Currently DISABLED")
		end
	elseif input == "enable" then
		PlaySoundFile("sound\\character\\tauren\\taurenmale\\taurenmalelaugh01.ogg")
		print("ENABLED")		
		if not EnabledState then
			YouDieIEmote:OnEnable()
		end
		EnabledState = true;
	elseif input == "disable" then
		print("DISABLED")
		PlaySoundFile("sound\\interface\\igquestfailed.ogg")
		if EnabledState then
			YouDieIEmote:OnDisable()
		end
		EnabledState = false
	else
		print("UNKNOWN COMMAND")
	end
end